Index: /code/branches/questsystem2/src/orxonox/objects/quest/AddQuest.cc
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/AddQuest.cc	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/AddQuest.cc	(revision 2191)
@@ -51,5 +51,5 @@
     /**
     @brief
-        Constructor. Registers the quest.
+        Constructor. Registers the object.
     */
     AddQuest::AddQuest(BaseObject* creator) : ChangeQuestStatus(creator)
@@ -78,9 +78,9 @@
     /**
     @brief
-        Invokes the effect.
+        Invokes the QuestEffect.
     @param player
-        The player the effect is invoked on.
+        The player the QuestEffect is invoked on.
     @return
-        Returns true if the effect was successfully invoked.
+        Returns true if the QuestEffect was successfully invoked.
     */
     bool AddQuest::invoke(ControllableEntity* player)
Index: /code/branches/questsystem2/src/orxonox/objects/quest/AddQuest.h
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/AddQuest.h	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/AddQuest.h	(revision 2191)
@@ -47,5 +47,5 @@
     /**
     @brief
-        Adds a quest, resp. changes the quests status to active for the player invoking the quest.
+        Adds a Quest, resp. changes the quests status to active for the player invoking the Quest.
     @author
         Damian 'Mozork' Frick
@@ -59,5 +59,5 @@
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a AddQuest object through XML.
 
-            virtual bool invoke(ControllableEntity* player); //!< Invokes the effect.
+            virtual bool invoke(ControllableEntity* player); //!< Invokes the QuestEffect.
 
     };
Index: /code/branches/questsystem2/src/orxonox/objects/quest/AddQuestHint.cc
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/AddQuestHint.cc	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/AddQuestHint.cc	(revision 2191)
@@ -79,5 +79,5 @@
     /**
     @brief
-        Sets the id of the quest hint to be added to the player the effect is invoked on.
+        Sets the id of the QuestHint to be added to the player the QuestEffect is invoked on.
     @param id
         The QuestHint id.
@@ -85,5 +85,5 @@
         Returns true if successful.
     */
-    inline void AddQuestHint::setHintId(const std::string & id)
+    bool AddQuestHint::setHintId(const std::string & id)
     {
         if(!QuestItem::isId(id))
@@ -99,9 +99,9 @@
     /**
     @brief
-        Invokes the effect.
+        Invokes the QuestEffect.
     @param player
         The player.
     @return
-        Returns true if the effect was successfully invoked.
+        Returns true if the QuestEffect was successfully invoked.
     */
     bool AddQuestHint::invoke(ControllableEntity* player)
Index: /code/branches/questsystem2/src/orxonox/objects/quest/AddQuestHint.h
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/AddQuestHint.h	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/AddQuestHint.h	(revision 2191)
@@ -46,5 +46,5 @@
     /**
     @brief
-        Adds a QuestHint, resp. activates the QuestHint of the given id for the player the effect is invoked on.
+        Adds a QuestHint, resp. activates the QuestHint of the given id for the player the QuestEffect is invoked on.
     @author
         Damian 'Mozork' Frick
@@ -58,12 +58,16 @@
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a AddQuestHint object through XML.
 
-            virtual bool invoke(ControllableEntity* player); //!< Invokes the effect.
+            virtual bool invoke(ControllableEntity* player); //!< Invokes the QuestEffect.
 
         private:
             std::string hintId_; //!< The id of the QuestHint.
 
-            inline const std::string & getHintId(void) const //!< Returns the if of the hint.
+            /**
+            @brief Returns the id of the QuestHint.
+            @return Returns the id of the QuestHint.
+            */
+            inline const std::string & getHintId(void) const
                 { return this->hintId_; }
-            void setHintId(const std::string & id); //!< Sets the id of the hint.
+            bool setHintId(const std::string & id); //!< Sets the id of the QuestHint.
 
     };
Index: /code/branches/questsystem2/src/orxonox/objects/quest/AddReward.cc
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/AddReward.cc	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/AddReward.cc	(revision 2191)
@@ -75,9 +75,9 @@
     /**
     @brief
-        Returns the rewardbale object at the given index.
+        Returns the Rewardable object at the given index.
     @param index
         The index.
     @return
-        Returns a pointer to the rewardable object at the given index.
+        Returns a pointer to the Rewardable object at the given index.
     */
     const Rewardable* AddReward::getRewardables(unsigned int index) const
@@ -97,9 +97,9 @@
     /**
     @brief
-        Invokes the effect.
+        Invokes the QuestEffect.
     @param player
         The player.
     @return
-        Returns true if the effect was invoked successfully.
+        Returns true if the QuestEffect was invoked successfully.
     */
     bool AddReward::invoke(ControllableEntity* player)
Index: /code/branches/questsystem2/src/orxonox/objects/quest/AddReward.h
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/AddReward.h	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/AddReward.h	(revision 2191)
@@ -47,5 +47,5 @@
     /**
     @brief
-        Adds a list of rewards to a player.
+        Adds a list of Rewardables to a player.
     @author
         Damian 'Mozork' Frick
@@ -59,12 +59,16 @@
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a AddReward object through XML.
 
-            virtual bool invoke(ControllableEntity* player); //!< Invokes the effect.
+            virtual bool invoke(ControllableEntity* player); //!< Invokes the QuestEffect.
 
         private:
-            std::list<Rewardable*> rewards_; //!< A list of rewards to be added to the player invoking the effect.
+            std::list<Rewardable*> rewards_; //!< A list of Rewardables to be added to the player invoking the QuestEffect.
 
-            inline void addRewardable(Rewardable* reward) //!< Add a rewardable object to the list of objects to be awarded to the player invoking the effect.
+            /**
+            @brief Add a Rewardable object to the list of objects to be awarded to the player invoking the QuestEffect.
+            @param reward Pointer to the Rewardable to be added.
+            */
+            inline void addRewardable(Rewardable* reward)
                 { this->rewards_.push_back(reward); }
-            const Rewardable* getRewardables(unsigned int index) const; //!< Returns the rewardable object at the given index.
+            const Rewardable* getRewardables(unsigned int index) const; //!< Returns the Rewardable object at the given index.
 
     };
Index: /code/branches/questsystem2/src/orxonox/objects/quest/ChangeQuestStatus.cc
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/ChangeQuestStatus.cc	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/ChangeQuestStatus.cc	(revision 2191)
@@ -61,7 +61,7 @@
     /**
     @brief
-        Sets the id of the quest the effect chagnes the status of.
+        Sets the id of the Quest the Questffect changes the status of.
     @param id
-        The id of the quest.
+        The id of the Quest.
     @return
         Returns true if successful.
Index: /code/branches/questsystem2/src/orxonox/objects/quest/ChangeQuestStatus.h
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/ChangeQuestStatus.h	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/ChangeQuestStatus.h	(revision 2191)
@@ -47,5 +47,5 @@
     /**
     @brief
-        An effect which changes a quests status of a specified quest for the player invoking the effect.
+        A QuestEffect which changes the status of a specified Quest for the player invoking the QuestEffect.
     @author
         Damian 'Mozork' Frick
@@ -59,14 +59,18 @@
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a ChangeQuestStatus object through XML.
 
-            virtual bool invoke(ControllableEntity* player) = 0; //!< Invokes the effect.
+            virtual bool invoke(ControllableEntity* player) = 0; //!< Invokes the QuestEffect.
 
         protected:
-            inline const std::string & getQuestId(void) const //!< Returns the quest id.
+            /**
+                @brief Returns the id of the Quest.
+                @return Returns the id of the Quest.
+            */
+            inline const std::string & getQuestId(void) const
                 { return this->questId_; }
 
         private:
-            std::string questId_; //!< The id of the quest the status should be changed of.
+            std::string questId_; //!< The id of the Quest the status should be changed of.
             
-            void setQuestId(const std::string & id); //!< Sets the quest id.
+            bool setQuestId(const std::string & id); //!< Sets the id of the Quest.
 
     };
Index: /code/branches/questsystem2/src/orxonox/objects/quest/CompleteQuest.cc
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/CompleteQuest.cc	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/CompleteQuest.cc	(revision 2191)
@@ -75,9 +75,9 @@
     /**
     @brief
-        Invokes the effect.
+        Invokes the QuestEffect.
     @param player
-        The player the effect is invoked on.
+        The player the QuestEffect is invoked on.
     @return
-        Returns true if the effect was invoked successfully.
+        Returns true if the QuestEffect was invoked successfully.
     */
     bool CompleteQuest::invoke(ControllableEntity* player)
Index: /code/branches/questsystem2/src/orxonox/objects/quest/CompleteQuest.h
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/CompleteQuest.h	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/CompleteQuest.h	(revision 2191)
@@ -47,5 +47,5 @@
     /**
     @brief
-        Completes a quest (with a specified id) for the player invoking the effect.
+        Completes a Quest (with a specified id) for the player invoking the QuestEffect.
     @author
         Damian 'Mozork' Frick
@@ -59,5 +59,5 @@
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a CompleteQuest object through XML.
 
-            virtual bool invoke(ControllableEntity* player); //!< Invokes the effect.
+            virtual bool invoke(ControllableEntity* player); //!< Invokes the QuestEffect.
 
     };
Index: /code/branches/questsystem2/src/orxonox/objects/quest/FailQuest.cc
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/FailQuest.cc	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/FailQuest.cc	(revision 2191)
@@ -75,9 +75,9 @@
     /**
     @brief
-        Invokes the effect.
+        Invokes the QuestEffect.
     @param player
-        The player the effect is invoked on.
+        The player the QuestEffect is invoked on.
     @return
-        Returns true if the effect was invoked successfully.
+        Returns true if the QuestEffect was invoked successfully.
     */
     bool FailQuest::invoke(ControllableEntity* player)
Index: /code/branches/questsystem2/src/orxonox/objects/quest/FailQuest.h
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/FailQuest.h	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/FailQuest.h	(revision 2191)
@@ -59,5 +59,5 @@
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a FailQuest object through XML.
 
-            virtual bool invoke(ControllableEntity* player); //!< Invokes the effect.
+            virtual bool invoke(ControllableEntity* player); //!< Invokes the QuestEffect.
 
     };
Index: /code/branches/questsystem2/src/orxonox/objects/quest/GlobalQuest.cc
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/GlobalQuest.cc	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/GlobalQuest.cc	(revision 2191)
@@ -79,18 +79,18 @@
     /**
     @brief
-        Fails the quest for all players.
-        Invokes the failEffects on all the players possessing this quest.
+        Fails the Quest for all players.
+        Invokes the fail QuestEffects on all the players possessing this Quest.
     @param player
         The player failing it.
     @return
-        Returns true if the quest could be failed, false if not.
+        Returns true if the Quest could be failed, false if not.
     */
     bool GlobalQuest::fail(ControllableEntity* player)
     {
-        if(this->isFailable(player)) //!< Check whether the quest can be failed.
+        if(this->isFailable(player)) //!< Check whether the Quest can be failed.
         {
             this->setStatus(player, questStatus::failed);
             
-            //! Iterate through all players possessing this quest.
+            //! Iterate through all players possessing this Quest.
             for(std::set<ControllableEntity*>::const_iterator it = players_.begin(); it != players_.end(); it++)
             {
@@ -107,19 +107,19 @@
     /**
     @brief
-        Completes the quest for all players.
-        Invokes the completeEffects on all the players possessing this quest.
-        Invokes the reward effects on the player completing the quest.
+        Completes the Quest for all players.
+        Invokes the complete QuestEffects on all the players possessing this Quest.
+        Invokes the reward QuestEffects on the player completing the Quest.
     @param player
         The player completing it.
     @return
-        Returns true if the quest could be completed, false if not.
+        Returns true if the Quest could be completed, false if not.
     */
     bool GlobalQuest::complete(ControllableEntity* player)
     {
-        if(this->isCompletable(player)) //!< Check whether the quest can be completed.
+        if(this->isCompletable(player)) //!< Check whether the Quest can be completed.
         {
             this->setStatus(player, questStatus::completed);
             
-            //! Iterate through all players possessing the quest.
+            //! Iterate through all players possessing the Quest.
             for(std::set<ControllableEntity*>::const_iterator it = players_.begin(); it != players_.end(); it++)
             {
@@ -127,5 +127,5 @@
             }
             
-            QuestEffect::invokeEffects(player, this->rewards_); //!< Invoke reward effects on the player completing the quest.
+            QuestEffect::invokeEffects(player, this->rewards_); //!< Invoke reward QuestEffects on the player completing the Quest.
             return true;
         }
@@ -137,5 +137,5 @@
     /**
     @brief
-        Checks whether the quest can be started.
+        Checks whether the Quest can be started.
     @param player
         The player for whom is to be checked.
@@ -152,9 +152,9 @@
     /**
     @brief
-        Checks whether the quest can be failed.
+        Checks whether the Quest can be failed.
     @param player
         The player for whom is to be checked.
     @return
-        Returns true if the quest can be failed, false if not.
+        Returns true if the Quest can be failed, false if not.
     @throws
         Throws an Exception if isActive() throws one.
@@ -168,9 +168,9 @@
     /**
     @brief
-        Checks whether the quest can be completed.
+        Checks whether the Quest can be completed.
     @param player
         The player for whom is to be checked.
     @return
-        Returns true if the quest can be completed, false if not.
+        Returns true if the Quest can be completed, false if not.
     @throws
         Throws an Exception if isActive() throws one.
@@ -183,5 +183,5 @@
     /**
     @brief
-        Returns the status of the quest for a specific player.
+        Returns the status of the Quest for a specific player.
     @param player
         The player.
@@ -237,7 +237,7 @@
     /**
     @brief
-        Adds a reward effect to the list of reward effects.
+        Adds a reward QuestEffect to the list of reward QuestEffects.
     @param effect
-        The effect to be added.
+        The QuestEffect to be added.
     @return
         Returns true if successful.
@@ -251,5 +251,5 @@
         }
 
-        this->rewards_.push_back(effect); //!< Add the effect to the list.
+        this->rewards_.push_back(effect); //!< Add the QuestEffect to the list.
 
         COUT(3) << "Reward effect was added to Quest {" << this->getId() << "}." << std::endl;
@@ -259,5 +259,5 @@
     /**
     @brief
-        Returns the reward effect at the given index.
+        Returns the reward QuestEffect at the given index.
     @param index
         The index.
Index: /code/branches/questsystem2/src/orxonox/objects/quest/GlobalQuest.h
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/GlobalQuest.h	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/GlobalQuest.h	(revision 2191)
@@ -48,5 +48,5 @@
     /**
     @brief
-        Global quests are quests, that have the same status for all players.
+        GlobalQuests are Quests, that have the same status for all players.
         This means, that when a player successfully completes a GlobalQuest, it is completed for all players that have it.
         
@@ -92,22 +92,22 @@
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a GlobalQuest object through XML.
             
-            virtual bool fail(ControllableEntity* player); //!< Fails the quest.
-            virtual bool complete(ControllableEntity* player); //!< Completes the quest.
+            virtual bool fail(ControllableEntity* player); //!< Fails the Quest.
+            virtual bool complete(ControllableEntity* player); //!< Completes the Quest.
 
         protected:
-            virtual bool isStartable(const ControllableEntity* player) const; //!< Checks whether the quest can be started.
-            virtual bool isFailable(const ControllableEntity* player) const; //!< Checks whether the quest can be failed.
-            virtual bool isCompletable(const ControllableEntity* player) const; //!< Checks whether the quest can be completed.
+            virtual bool isStartable(const ControllableEntity* player) const; //!< Checks whether the Quest can be started.
+            virtual bool isFailable(const ControllableEntity* player) const; //!< Checks whether the Quest can be failed.
+            virtual bool isCompletable(const ControllableEntity* player) const; //!< Checks whether the Quest can be completed.
 
-            virtual questStatus::Enum getStatus(const ControllableEntity* player) const; //!< Returns the status of the quest for a specific player.
+            virtual questStatus::Enum getStatus(const ControllableEntity* player) const; //!< Returns the status of the Quest for a specific player.
             virtual bool setStatus(ControllableEntity* player, const questStatus::Enum & status); //!< Sets the status for a specific player.
 
         private:
-            std::set<ControllableEntity*> players_; //!< The set of players which possess this quest.
-            questStatus::Enum status_; //!< The status of this quest.
-            std::list<QuestEffect*> rewards_; //!< Reward effects only invoked on the player completing the quest.
+            std::set<ControllableEntity*> players_; //!< The set of players which possess this Quest.
+            questStatus::Enum status_; //!< The status of this Quest.
+            std::list<QuestEffect*> rewards_; //!< Reward QuestEffects only invoked on the player completing the Quest.
             
-            bool addRewardEffect(QuestEffect* effect); //!< Adds a reward effect to the list of reward effects.
-            const QuestEffect* getRewardEffects(unsigned int index) const; //!< Returns the reward effect at the given index.
+            bool addRewardEffect(QuestEffect* effect); //!< Adds a reward QuestEffect to the list of reward QuestEffects.
+            const QuestEffect* getRewardEffects(unsigned int index) const; //!< Returns the reward QuestEffect at the given index.
 
     };
Index: /code/branches/questsystem2/src/orxonox/objects/quest/LocalQuest.cc
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/LocalQuest.cc	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/LocalQuest.cc	(revision 2191)
@@ -77,10 +77,10 @@
     /**
     @brief
-        Fails the quest for a given player.
+        Fails the Quest for a given player.
         Invokes all the failEffects on the player.
     @param player
         The player.
     @return
-        Returns true if the quest could be failed, false if not.
+        Returns true if the Quest could be failed, false if not.
     */
     bool LocalQuest::fail(ControllableEntity* player)
@@ -99,17 +99,17 @@
     /**
     @brief
-        Completes the quest for a given player.
-	Invokes all the completeEffects on the player.
+        Completes the Quest for a given player.
+	Invokes all the complete QuestEffects on the player.
     @param player
         The player.
     @return
-        Returns true if the quest could be completed, false if not.
+        Returns true if the Quest could be completed, false if not.
     */
     bool LocalQuest::complete(ControllableEntity* player)
     {
-        if(this->isCompletable(player)) //!< Checks whether the quest can be completed.
+        if(this->isCompletable(player)) //!< Checks whether the Quest can be completed.
         {
             this->setStatus(player, questStatus::completed);
-            QuestEffect::invokeEffects(player, this->getCompleteEffectList()); //!< Invoke the completeEffects.
+            QuestEffect::invokeEffects(player, this->getCompleteEffectList()); //!< Invoke the complete QuestEffects.
             return true;
         }
@@ -121,9 +121,9 @@
     /**
     @brief
-        Checks whether the quest can be started.
+        Checks whether the Quest can be started.
     @param player
         The player for whom is to be checked.
     @return
-        Returns true if the quest can be started, false if not.
+        Returns true if the Quest can be started, false if not.
     @throws
         Throws an exception if isInactive(ControllableEntity*) throws one.
@@ -136,9 +136,9 @@
     /**
     @brief
-        Checks whether the quest can be failed.
+        Checks whether the Quest can be failed.
     @param player
         The player for whom is to be checked.
     @return
-        Returns true if the quest can be failed, false if not.
+        Returns true if the Quest can be failed, false if not.
     @throws
         Throws an exception if isActive(ControllableEntity*) throws one.
@@ -151,9 +151,9 @@
     /**
     @brief
-        Checks whether the quest can be completed.
+        Checks whether the Quest can be completed.
     @param player
         The player for whom is to be checked.
     @return
-        Returns true if the quest can be completed, false if not.
+        Returns true if the Quest can be completed, false if not.
     @throws
         Throws an exception if isInactive(ControllableEntity*) throws one.
@@ -166,9 +166,9 @@
     /**
     @brief
-        Returns the status of the quest for a specific player.
+        Returns the status of the Quest for a specific player.
     @param player
         The player.
     @return
-        Returns the status of the quest for the input player.
+        Returns the status of the Quest for the input player.
     @throws
         Throws an Exception if player is NULL.
Index: /code/branches/questsystem2/src/orxonox/objects/quest/LocalQuest.h
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/LocalQuest.h	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/LocalQuest.h	(revision 2191)
@@ -48,5 +48,5 @@
     /**
     @brief
-        Handles quests which have different states for different players.
+        Handles Quests which have different states for different players.
         LocalQuests have (as opposed to GlobalQuests) a different state for each player, that means if for one player the status of the Quest changes it does not for all the other players which also possess this quest.
         
@@ -87,13 +87,13 @@
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a LocalQuest object through XML.
             
-            virtual bool fail(ControllableEntity* player); //!< Fails the quest.
-            virtual bool complete(ControllableEntity* player); //!< Completes the quest.
+            virtual bool fail(ControllableEntity* player); //!< Fails the Quest.
+            virtual bool complete(ControllableEntity* player); //!< Completes the Quest.
 
         protected:
-            virtual bool isStartable(const ControllableEntity* player) const; //!< Checks whether the quest can be started.
-            virtual bool isFailable(const ControllableEntity* player) const; //!< Checks whether the quest can be failed.
-            virtual bool isCompletable(const ControllableEntity* player) const; //!< Checks whether the quest can be completed.
+            virtual bool isStartable(const ControllableEntity* player) const; //!< Checks whether the Quest can be started.
+            virtual bool isFailable(const ControllableEntity* player) const; //!< Checks whether the Quest can be failed.
+            virtual bool isCompletable(const ControllableEntity* player) const; //!< Checks whether the Quest can be completed.
 
-            virtual questStatus::Enum getStatus(const ControllableEntity* player) const; //!< Returns the status of the quest for a specific player.
+            virtual questStatus::Enum getStatus(const ControllableEntity* player) const; //!< Returns the status of the Quest for a specific player.
             virtual bool setStatus(ControllableEntity* player, const questStatus::Enum & status); //!< Sets the status for a specific player.
 
Index: /code/branches/questsystem2/src/orxonox/objects/quest/Quest.cc
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/Quest.cc	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/Quest.cc	(revision 2191)
@@ -84,9 +84,9 @@
     /**
     @brief
-        Sets the parent quest of the quest.
+        Sets the parentquest of the Quest.
     @param quest
-        A pointer to the quest to be set as parent quest.
-    @return
-        Returns true if the parentQuest could be set.
+        A pointer to the Quest to be set as parentquest.
+    @return
+        Returns true if the parentquest could be set.
     */
     bool Quest::setParentQuest(Quest* quest)
@@ -106,9 +106,9 @@
     /**
     @brief
-        Adds a sub quest to the quest.
+        Adds a subquest to the Quest.
     @param quest
-        A pointer to the quest to be set as sub quest.
-    @return
-        Returns true if the subQuest vould be set.
+        A pointer to the Quest to be set as subquest.
+    @return
+        Returns true if the subquest could be set.
     */
     bool Quest::addSubQuest(Quest* quest)
@@ -120,6 +120,6 @@
         }
 
-        quest->setParentQuest(this); //!< Sets the current quest (this) as parent quest for the added subquest.
-        this->subQuests_.push_back(quest); //!< Adds the quest to the end of the list of subquests.
+        quest->setParentQuest(this); //!< Sets the currentQuest (this) as parentquest for the added subquest.
+        this->subQuests_.push_back(quest); //!< Adds the Quest to the end of the list of subquests.
 
         COUT(3) << "Sub Quest {" << quest->getId() << "} was added to Quest {" << this->getId() << "}." << std::endl;
@@ -130,7 +130,7 @@
     /**
     @brief
-        Adds a Hint to the list of hints
+        Adds a QuestHint to the list of QuestHints
     @param hint
-        The hint that should be added to the list of hints.
+        The QuestHint that should be added to the list of QuestHints.
     @return
         Returns true if the hint was successfully added.
@@ -144,6 +144,6 @@
         }
 
-        hint->setQuest(this); //!< Sets the current quest (this) as quest for the added hint.
-        this->hints_.push_back(hint); //!< Adds the hint to the end of the list of hints.
+        hint->setQuest(this); //!< Sets the current Quest (this) as Quest for the added QuestHint.
+        this->hints_.push_back(hint); //!< Adds the QuestHint to the end of the list of QuestHints.
 
         COUT(3) << "QuestHint {" << hint->getId() << "} was added to Quest {" << this->getId() << "}." << std::endl;
@@ -153,5 +153,5 @@
     /**
     @brief
-        Adds an effect to the list of failEffects.
+        Adds an QuestEffect to the list of fail QuestEffects.
     @param effect
         The QuestEffect to be added.
@@ -167,5 +167,5 @@
         }
 
-        this->failEffects_.push_back(effect); //!< Adds the effect to the end of the list of failEffects.
+        this->failEffects_.push_back(effect); //!< Adds the QuestEffect to the end of the list of fail QuestEffects.
 
         COUT(3) << "A FailEffect was added to Quest {" << this->getId() << "}." << std::endl;
@@ -175,5 +175,5 @@
     /**
     @brief
-        Adds an effect to the list of completeEffects.
+        Adds an QuestEffect to the list of complete QuestEffects.
     @param effect
         The QuestEffect to be added.
@@ -189,5 +189,5 @@
         }
 
-        this->completeEffects_.push_back(effect); //!< Adds the effect to the end of the list of completeEffects.
+        this->completeEffects_.push_back(effect); //!< Adds the QuestEffect to the end of the list of complete QuestEffects.
 
         COUT(3) << "A CompleteEffect was added to Quest {" << this->getId() << "}." << std::endl;
@@ -197,7 +197,7 @@
     /**
     @brief
-        Returns the parent quest of the quest.
-    @return
-        Returns the parent quest of the quest.
+        Returns the parentquest of the Quest.
+    @return
+        Returns a pointer to the parentquest of the Quest.
     */
     const Quest* Quest::getParentQuest(void)
@@ -208,9 +208,9 @@
     /**
     @brief
-        Returns the sub quest of the given index.
+        Returns the subquest at the given index.
     @param
         The index.
     @return
-        Returns the subquest of the given index. NULL if there is no element on the given index.
+        Returns a pointer to the subquest at the given index. NULL if there is no element at the given index.
     */
     const Quest* Quest::getSubQuest(unsigned int index) const
@@ -233,9 +233,9 @@
     /**
     @brief
-        Returns the hint of the given index.
+        Returns the QuestHint at the given index.
     @param
         The index.
     @return
-        Returns the hint of the given index. NULL if there is no element on the given index.
+        Returns a pointer to the QuestHint at the given index. NULL if there is no element at the given index.
     */
     const QuestHint* Quest::getHint(unsigned int index) const
@@ -243,5 +243,5 @@
         int i = index;
         
-        //! Iterate through all hints.
+        //! Iterate through all QuestHints.
         for (std::list<QuestHint*>::const_iterator hint = this->hints_.begin(); hint != this->hints_.end(); ++hint)
         {
@@ -257,9 +257,9 @@
     /**
     @brief
-        Returns the failEffect of the given index.
+        Returns the fail QuestEffect at the given index.
     @param
         The index.
     @return
-        Returns the failEffect of the given index. NULL if there is no element on the given index.
+        Returns a pointer to the fail QuestEffect at the given index. NULL if there is no element at the given index.
     */
     const QuestEffect* Quest::getFailEffect(unsigned int index) const
@@ -267,5 +267,5 @@
         int i = index;
         
-        //! Iterate through all failEffects.
+        //! Iterate through all fail QuestEffects.
         for (std::list<QuestEffect*>::const_iterator effect = this->failEffects_.begin(); effect != this->failEffects_.end(); ++effect)
         {
@@ -281,9 +281,9 @@
     /**
     @brief
-        Returns the completeEffect of the given index.
+        Returns the complete QuestEffect at the given index.
     @param
         The index.
     @return
-        Returns the completeEffect of the given index. NULL if there is no element on the given index.
+        Returns a pointer to the complete QuestEffect at the given index. NULL if there is no element at the given index.
     */
     const QuestEffect* Quest::getCompleteEffect(unsigned int index) const
@@ -291,5 +291,5 @@
         int i = index;
         
-        //! Iterate through all completeEffects.
+        //! Iterate through all complete QuestEffects.
         for (std::list<QuestEffect*>::const_iterator effect = this->completeEffects_.begin(); effect != this->completeEffects_.end(); ++effect)
         {
@@ -366,9 +366,9 @@
     /**
     @brief
-        Starts the quest for an input player.
-    @param player
-        The player.
-    @return
-        Returns true if the quest could be started, false if not.
+        Starts the Quest for an input player.
+    @param player
+        The player.
+    @return
+        Returns true if the Quest could be started, false if not.
     */
     bool Quest::start(ControllableEntity* player)
Index: /code/branches/questsystem2/src/orxonox/objects/quest/Quest.h
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/Quest.h	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/Quest.h	(revision 2191)
@@ -50,5 +50,5 @@
 {
 
-    //!Different states of a quest.
+    //!Different states of a Quest.
     enum Enum
     {
@@ -65,9 +65,9 @@
     /**
     @brief
-        Represents a quest in the game.
-        A quest has a list of subquests and a parentquest (if it is not a rootquest).
-        Each quest exists only once but it has a different status (inactive, active, failed or completed) for each player.
-        A quest has several hints (QuestHint) that can be unlocked through QuestEffects and then display aid in solving the quest.
-        A quest has a list of QuestEffects that are invoked when the quest is failed and also a list of effects that are invoked, when the quest is completed.
+        Represents a Quest in the game.
+        A Quest has a list of subquests and a parentquest (if it is not a rootquest).
+        Each Quest exists only once but it has a different status (inactive, active, failed or completed) for each player.
+        A Quest has several hints (QuestHint) that can be unlocked through QuestEffects and then display aid in solving the Quest.
+        A Quest has a list of QuestEffects that are invoked when the quest is failed and also a list of QuestEffects that are invoked, when the Quest is completed.
         
         Quest itself should not be instantiated, if you want to create a quest either go for LocalQuest or GlobalQuest, whichever suits you needs better.
@@ -83,9 +83,23 @@
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a Quest object through XML.
 
-            inline Quest* getParentQuest(void) const //!< Returns the parent quest of the quest.
+            /**
+            @brief Returns the parentquest of the Quest.
+            @return Returns a pointer to the parentquest of the Quest.
+            */
+            inline Quest* getParentQuest(void) const
                 { return this->parentQuest_; }
-            inline const std::list<Quest*> & getSubQuestList(void) const //!< Returns the list of sub quests.
+                
+	    /**
+	    @brief Returns the list of subquests.
+	    @return Returns a reference to the list of subquests of the quest.
+	    */
+            inline const std::list<Quest*> & getSubQuestList(void) const
                 { return this->subQuests_; }
-	    inline const std::list<QuestHint*> & getHintsList(void) const //!< Returns the list of all hints of this quest.
+                
+	    /**
+	    @brief Returns the list of all QuestHints of this Quest.
+	    @return Returns a reference to the list of QuestHints of the Quest.
+	    */
+	    inline const std::list<QuestHint*> & getHintsList(void) const
                 { return this->hints_; }
 
@@ -95,40 +109,50 @@
             bool isCompleted(const ControllableEntity* player) const; //!< Returns true if the quest status for the specific player is 'completed'.
 
-            bool start(ControllableEntity* player); //!< Sets a quest to active.
-	    virtual bool fail(ControllableEntity* player) = 0; //!< Fails the quest.
-            virtual bool complete(ControllableEntity* player) = 0; //!< Completes the quest.
+            bool start(ControllableEntity* player); //!< Sets a Quest to active.
+	    virtual bool fail(ControllableEntity* player) = 0; //!< Fails the Quest.
+            virtual bool complete(ControllableEntity* player) = 0; //!< Completes the Quest.
 
         protected:
-            virtual bool isStartable(const ControllableEntity* player) const = 0; //!< Checks whether the quest can be started.
-            virtual bool isFailable(const ControllableEntity* player) const = 0; //!< Checks whether the quest can be failed.
-            virtual bool isCompletable(const ControllableEntity* player) const = 0; //!< Checks whether the quest can be completed.
+            virtual bool isStartable(const ControllableEntity* player) const = 0; //!< Checks whether the Quest can be started.
+            virtual bool isFailable(const ControllableEntity* player) const = 0; //!< Checks whether the Quest can be failed.
+            virtual bool isCompletable(const ControllableEntity* player) const = 0; //!< Checks whether the Quest can be completed.
 
-            const Quest* getParentQuest(void); //!< Returns the parent quest of the quest.
-            const Quest* getSubQuest(unsigned int index) const; //!<Returns the sub quest of the given index.
-            const QuestHint* getHint(unsigned int index) const; //!< Returns the hint of the given index.
-            const QuestEffect* getFailEffect(unsigned int index) const; //!< Returns the failEffect of the given index.
-            const QuestEffect* getCompleteEffect(unsigned int index) const; //!< Returns the completeEffect of the given index.
-            inline std::list<QuestEffect*> & getFailEffectList(void) //!< Returns the list of failEffects.
+            const Quest* getParentQuest(void); //!< Returns the parentquest of the Quest.
+            const Quest* getSubQuest(unsigned int index) const; //!<Returns the subquest at the given index.
+            const QuestHint* getHint(unsigned int index) const; //!< Returns the QuestHint at the given index.
+            const QuestEffect* getFailEffect(unsigned int index) const; //!< Returns the fail QuestEffect at the given index.
+            const QuestEffect* getCompleteEffect(unsigned int index) const; //!< Returns the complete QuestEffect at the given index.
+            
+            /**
+            @brief Returns the list of fail QuestEffects.
+            @return Returns a reference to the list of fail QuestEffects.
+            */
+            inline std::list<QuestEffect*> & getFailEffectList(void)
                 { return this->failEffects_; }
-	    inline std::list<QuestEffect*> & getCompleteEffectList(void) //!< Returns the list of completeEffects.
+                
+	    /**
+	    @brief Returns the list of complete QuestEffects.
+	    @return Returns a reference to the list of complete QuestEffects.
+	    */
+	    inline std::list<QuestEffect*> & getCompleteEffectList(void)
                 { return this->completeEffects_; }
 
-            virtual questStatus::Enum getStatus(const ControllableEntity* player) const = 0; //!< Returns the status of the quest for a specific player.
+            virtual questStatus::Enum getStatus(const ControllableEntity* player) const = 0; //!< Returns the status of the Quest for a specific player.
             virtual bool setStatus(ControllableEntity* player, const questStatus::Enum & status) = 0; //!< Changes the status for a specific player.
             
 	private:
-            Quest* parentQuest_; //!< Pointer to the parent quest.
-            std::list<Quest*> subQuests_; //!< List of all the sub quests.
+            Quest* parentQuest_; //!< Pointer to the parentquest.
+            std::list<Quest*> subQuests_; //!< List of all the subquests.
 
-            std::list<QuestHint*> hints_; //!< A list of all the hints tied to this quest.
+            std::list<QuestHint*> hints_; //!< A list of all the QuestHints tied to this Quest.
 
-            std::list<QuestEffect*> failEffects_; //!< A list of all effects to be invoked, when the quest has been failed.
-            std::list<QuestEffect*> completeEffects_; //!< A list of effects to be invoked, when the quest has been completed.
+            std::list<QuestEffect*> failEffects_; //!< A list of all QuestEffects to be invoked, when the Quest has been failed.
+            std::list<QuestEffect*> completeEffects_; //!< A list of QuestEffects to be invoked, when the Quest has been completed.
             
-            bool setParentQuest(Quest* quest); //!< Sets the parent quest of the quest.
-            bool addSubQuest(Quest* quest); //!< Adds a sub quest to the quest.
-            bool addHint(QuestHint* hint); //!< Add a hint to the list of hints.
-            bool addFailEffect(QuestEffect* effect); //!< Adds an effect to the list of failEffects.
-            bool addCompleteEffect(QuestEffect* effect); //!< Adds an effect to the list of completeEffects.
+            bool setParentQuest(Quest* quest); //!< Sets the parentquest of the Quest.
+            bool addSubQuest(Quest* quest); //!< Adds a subquest to the Quest.
+            bool addHint(QuestHint* hint); //!< Add a QuestHint to the list of QuestHints.
+            bool addFailEffect(QuestEffect* effect); //!< Adds an QuestEffect to the list of fail QuestEffects.
+            bool addCompleteEffect(QuestEffect* effect); //!< Adds an QuestEffect to the list of complete QuestEffects.
 
     };
Index: /code/branches/questsystem2/src/orxonox/objects/quest/QuestDescription.h
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/QuestDescription.h	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/QuestDescription.h	(revision 2191)
@@ -60,7 +60,16 @@
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a QuestDescription object through XML.
 
-            inline const std::string & getTitle(void) const //!< Returns the title.
+	    /**
+	    @brief Returns the title.
+	    @return Returns a string containing the title of the QuestDescription.
+	    */
+            inline const std::string & getTitle(void) const
                 { return this->title_; }
-            inline const std::string & getDescription(void) const //!< Returns the description text.
+	    
+	    /**
+	    @brief Returns the description text.
+	    @return Returns a string containing the description text of the QuestDescription.
+	    */
+            inline const std::string & getDescription(void) const
                 { return this->description_; }
 
@@ -69,7 +78,16 @@
             std::string description_; //!< The description.
 
-            inline void setTitle(const std::string & title) //!< Sets the title.
+            /**
+            @brief Sets the title.
+            @param title The title to be set.
+            */
+            inline void setTitle(const std::string & title)
                 { this->title_ = title; }
-            inline void setDescription(const std::string & description) //!< Sets the description text.
+                
+	    /**
+            @brief Sets the description text.
+            @param description The description text to be set.
+            */
+            inline void setDescription(const std::string & description)
                 { this->description_ = description; }
 
Index: /code/branches/questsystem2/src/orxonox/objects/quest/QuestEffect.cc
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/QuestEffect.cc	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/QuestEffect.cc	(revision 2191)
@@ -63,9 +63,9 @@
     /**
     @brief
-        Static method. Invoke all effects in an effect list on a given player.
+        Static method. Invoke all QuestEffects in an QuestEffect-list on a given player.
     @param player
-        The player the effects are invoked on.
+        The player the QuestEffects are invoked on.
     @param effects
-        A list of all the effects to be invoked.
+        A list of all the QuestEffects to be invoked.
     @return
         Returns false if there was an error, view console of log for further detail.
Index: /code/branches/questsystem2/src/orxonox/objects/quest/QuestEffect.h
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/QuestEffect.h	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/QuestEffect.h	(revision 2191)
@@ -46,6 +46,6 @@
     /**
     @brief
-        Handles effects for quests.
-        QuestEffects are the only way for quests to have any sideeffects in the game world. They are also the only way to gain, complete or fail quests.
+        Handles QuestEffects for Quests.
+        QuestEffects are the only way for Quests to have any sideeffects in the game world. They are also the only way for a player to gain, complete or fail Quests.
     @author
         Damian 'Mozork' Frick
@@ -57,6 +57,6 @@
             virtual ~QuestEffect();
 
-            virtual bool invoke(ControllableEntity* player) = 0; //!< Invokes the effect.
-            static bool invokeEffects(ControllableEntity* player, std::list<QuestEffect*> & effects); //!< Invokes all effects in the list.
+            virtual bool invoke(ControllableEntity* player) = 0; //!< Invokes the QuestEffect.
+            static bool invokeEffects(ControllableEntity* player, std::list<QuestEffect*> & effects); //!< Invokes all QuestEffects in the list.
 
 
Index: /code/branches/questsystem2/src/orxonox/objects/quest/QuestEffectBeacon.cc
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/QuestEffectBeacon.cc	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/QuestEffectBeacon.cc	(revision 2191)
@@ -32,6 +32,8 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+#include "core/Event.h"
 
 #include "orxonox/objects/worldentities/ControllableEntity.h"
+#include "orxonox/objects/worldentities/triggers/Trigger.h"
 #include "QuestEffect.h"
 
@@ -46,6 +48,6 @@
         this->status_ = QuestEffectBeaconStatus::active;
         this->times_ = -1;
+        this->trigger_ = NULL;
     }
-
 
     QuestEffectBeacon::~QuestEffectBeacon()
@@ -58,5 +60,15 @@
 
         XMLPortParam(QuestEffectBeacon, "times", setTimes, getTimes, xmlelement, mode);
-        XMLPortObject(QuestEffectBeacon, QuestEffect, "", addEffect, getEffects, xmlelement, mode);
+        XMLPortObject(QuestEffectBeacon, QuestEffect, "", addEffect, getEffect, xmlelement, mode);
+        XMLPortObject(QuestEffectBeacon, Trigger, "", addTrigger, getTrigger, xmlelement, mode);
+    }
+    
+    void processEvent(Event& event)
+    {
+        //TDO. Resolve pseudo code.
+        //if(isControllableEntity(event.originator_))
+        //{
+        //    SetEvent(BaseObject, "activity", execute, event);
+	//}
     }
     
@@ -93,5 +105,5 @@
             return false;
         }
-        if(this->times_ == -1)
+        if(this->getTimes() == -1)
         {
             return true;
@@ -99,5 +111,5 @@
         
         this->times_ = this->times_ - 1;
-	if(this->times_ == 0)
+	if(this->getTimes() == 0)
 	{
             this->status_ = QuestEffectBeaconStatus::inactive;
@@ -134,6 +146,24 @@
         this->effects_.push_back(effect);
 
-        COUT(3) << "An effect was added to a QuestEffectBeacon." << std::endl;
+        COUT(3) << "A QuestEffect was added to a QuestEffectBeacon." << std::endl;
         return true;
+    }
+    
+    bool QuestEffectBeacon::addTrigger(Trigger* trigger)
+    {
+        if(this->trigger_ != NULL)
+	{
+	   COUT(2) << "A Trigger was trying to be added, where one was already set." << std::endl;
+	   return false;
+	}
+	if(trigger == NULL)
+	{
+            COUT(2) << "A NULL-Trigger was trying to be added." << std::endl;
+            return false;
+	}
+	
+	COUT(3) << "A Trigger was added to a QuestEffectBeacon." << std::endl;
+	this->trigger_ = trigger;
+	return true;
     }
     
@@ -142,5 +172,5 @@
 
     */
-    const QuestEffect* QuestEffectBeacon::getEffects(unsigned int index) const
+    const QuestEffect* QuestEffectBeacon::getEffect(unsigned int index) const
     {
         int i = index;
@@ -156,4 +186,13 @@
     }
 
+    const Trigger* QuestEffectBeacon::getTrigger(unsigned int index) const
+    {
+        if(index == 0)
+        {
+            return this->trigger_;
+        }
+        
+        return NULL;
+    }
 
 }
Index: /code/branches/questsystem2/src/orxonox/objects/quest/QuestEffectBeacon.h
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/QuestEffectBeacon.h	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/QuestEffectBeacon.h	(revision 2191)
@@ -61,4 +61,6 @@
 	    virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 	    
+	    virtual void processEvent(Event& event);
+	    
 	    bool execute(ControllableEntity* player);
 	    
@@ -66,16 +68,21 @@
 	    
 	protected:
+            bool decrementTimes(void);
+            
+            inline const int & getTimes(void) const
+                { return this->times_; }
+
+        private:
             std::list<QuestEffect*> effects_;
             int times_; //!< Number of times the beacon can be exectued.
             QuestEffectBeaconStatus::Enum status_;
-            
-            bool decrementTimes(void);
+            Trigger* trigger_;
             
             bool setTimes(const int & n);
             bool addEffect(QuestEffect* effect);
+            bool addTrigger(Trigger* trigger);
             
-            inline const int & getTimes(void) const
-                { return this->times_; }
-            const QuestEffect* getEffects(unsigned int index) const;
+            const QuestEffect* getEffect(unsigned int index) const;
+            const Trigger* getTrigger(unsigned int index) const;
     
     };
Index: /code/branches/questsystem2/src/orxonox/objects/quest/QuestHint.cc
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/QuestHint.cc	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/QuestHint.cc	(revision 2191)
@@ -78,5 +78,5 @@
     /**
     @brief
-        Checks whether the hint is active for a specific player.
+        Checks whether the QuestHint is active for a specific player.
     @param player
         The player.
@@ -84,5 +84,5 @@
         Throws an Argument Exception if the input Player-pointer is NULL.
     @return
-        Returns true if the hint is active for the specified player.
+        Returns true if the QuestHint is active for the specified player.
     */
     bool QuestHint::isActive(ControllableEntity* player)
@@ -134,7 +134,7 @@
     /**
     @brief
-        Sets the quest the QuestHitn belongs to.
+        Sets the Quest the QuestHint belongs to.
     @param quest
-        The quest to be set as quest the hint is attached to.
+        The Quest to be set as Quest the QuestHint is attached to.
     @return
         Returns true if successful.
Index: /code/branches/questsystem2/src/orxonox/objects/quest/QuestHint.h
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/QuestHint.h	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/QuestHint.h	(revision 2191)
@@ -62,6 +62,6 @@
     @brief
         Represents a hint in the game towards completing a Quest.
-        Consists of title and description in textual form and must belong to a quest.
-        A QuestHit has a defined status (inactive or active, where inactive is default) for each player, which means each QuestHint exists only once for all players, it doesn't belong to a player, it just has different states for each of them.
+        Consists of title and description (which is stored in a QuestDescription object) in textual form and must belong to a quest.
+        A QuestHint has a defined status (inactive or active, where inactive is default) for each player, which means each a QuestHint exists only once for all players, it doesn't belong to a player, it just has different states for each of them.
         
         Creating a QuestHint through XML goes as follows:
@@ -82,14 +82,18 @@
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a QuestHint object through XML.
 
-            bool isActive(ControllableEntity* player); //!< Returns true if the hint is active for the input player.
+            bool isActive(ControllableEntity* player); //!< Returns true if the QuestHint is active for the input player.
 
-            bool setActive(ControllableEntity* player); //!< Activates the hint for the input player.
-            bool setQuest(Quest* quest); //!< Sets the quest the hint belongs to.
+            bool setActive(ControllableEntity* player); //!< Activates the QuestHint for the input player.
+            bool setQuest(Quest* quest); //!< Sets the Quest the QuestHint belongs to.
 
-            inline Quest* getQuest(void) //!< Returns the quest the hint is attached to.
+            /**
+            @brief Returns the Quest the QuestHint is attached to.
+            @return  Returns a pointer to the Quest the QuestHint is attached to.
+            */
+            inline Quest* getQuest(void)
                { return this->quest_; }
 
         private:
-            Quest* quest_; //!< The quest the hint belongs to.
+            Quest* quest_; //!< The Quest the QuestHint belongs to.
             std::map<ControllableEntity*, questHintStatus::Enum> playerStatus_; //!< List of the status for each player, with the Player-pointer as key.
 
Index: /code/branches/questsystem2/src/orxonox/objects/quest/QuestItem.h
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/QuestItem.h	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/QuestItem.h	(revision 2191)
@@ -51,5 +51,5 @@
     /**
     @brief
-        Functions as a base class for Quest classes such as Quest or QuestHint.
+        Functions as a base class for quest classes such as Quest or QuestHint.
         Has a unique identifier and a description.
     @author
@@ -65,7 +65,15 @@
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a QuestItem object through XML.
 
-            inline const std::string & getId(void) const //!< Returns the id of this quest.
+            /**
+            @brief Returns the id of this QuestItem.
+	    @return Returns the id of the QuestItem.
+            */
+            inline const std::string & getId(void) const
                 { return this->id_; }
-            inline const QuestDescription* getDescription(void) const //!< Returns the description of the QuestItem.
+	    /**
+	    @brief Returns the QuestDescription of the QuestItem.
+	    @return Returns a pointer to the QuestDescription object of the QuestItem.
+	    */
+            inline const QuestDescription* getDescription(void) const
                 { return this->description_; }
 
@@ -74,10 +82,15 @@
         protected:
             void setId(const std::string & id); //!< Sets the id of the QuestItem.
-            inline void setDescription(QuestDescription* description) //!< Sets the description of the QuestItem.
+            
+            /**
+            @brief Sets the description of the QuestItem.
+            @param description The QuestDescription to be set.
+            */
+            inline void setDescription(QuestDescription* description)
                 { this->description_ = description; }
 
         private:
             std::string id_; //!< Identifier. Should be of GUID form: http://en.wikipedia.org/wiki/Globally_Unique_Identifier#Basic_structure
-            QuestDescription* description_; //!< The description of the QuestItem.
+            QuestDescription* description_; //!< The QuestDescription of the QuestItem.
 
     };
Index: /code/branches/questsystem2/src/orxonox/objects/quest/QuestManager.cc
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/QuestManager.cc	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/QuestManager.cc	(revision 2191)
@@ -44,7 +44,7 @@
 namespace orxonox {
 
-    //! All quests registered by their id's.
+    //! All Quests registered by their id's.
     std::map<std::string, Quest*> QuestManager::questMap_s;
-    //! All hints registered by their id's.
+    //! All QuestHints registered by their id's.
     std::map<std::string, QuestHint*> QuestManager::hintMap_s;
 
@@ -69,8 +69,8 @@
     /**
     @brief
-        Registers a quest with the QuestManager to make it globally accessable.
+        Registers a Quest with the QuestManager to make it globally accessable.
         Uses it's id to make sure to be able to be identify and retrieve it later.
     @param quest
-        The quest that is to be registered.
+        The Quest that is to be registered.
     @return
         Returns true if successful, false if not.
@@ -85,5 +85,5 @@
 
         std::pair<std::map<std::string, Quest*>::iterator,bool> result;
-        result = questMap_s.insert( std::pair<std::string,Quest*>(quest->getId(),quest) ); //!< Inserting the quest.
+        result = questMap_s.insert( std::pair<std::string,Quest*>(quest->getId(),quest) ); //!< Inserting the Quest.
 
         if(result.second) //!< If inserting was a success.
@@ -117,5 +117,5 @@
 
         std::pair<std::map<std::string, QuestHint*>::iterator,bool> result;
-        result = hintMap_s.insert ( std::pair<std::string,QuestHint*>(hint->getId(),hint) ); //!< Inserting the hint.
+        result = hintMap_s.insert ( std::pair<std::string,QuestHint*>(hint->getId(),hint) ); //!< Inserting the QuestHSint.
 
         if(result.second) //!< If inserting was a success.
@@ -133,10 +133,10 @@
     /**
     @brief
-        Finds a quest with the given id.
+        Finds a Quest with the given id.
     @param questId
-        The id of the quest sought for.
-    @return
-        Returns a reference to the quest with the input id.
-        Returns NULL if there is no quest with the given questId.
+        The id of the Quest sought for.
+    @return
+        Returns a pointer to the Quest with the input id.
+        Returns NULL if there is no Quest with the given questId.
     @throws
         Throws an exception if the given questId is invalid.
@@ -151,5 +151,5 @@
         Quest* quest;
         std::map<std::string, Quest*>::iterator it = questMap_s.find(questId);
-        if (it != questMap_s.end()) //!< If the quest is registered.
+        if (it != questMap_s.end()) //!< If the Quest is registered.
         {
             quest = it->second;
@@ -167,10 +167,10 @@
     /**
     @brief
-        Finds a hint with the given id.
+        Finds a QuestHint with the given id.
     @param hintId
-        The id of the hint sought for.
-    @return
-        Returns a reference to the hint with the input id.
-        Returns NULL if there is no hint with the given hintId.
+        The id of the QuestHint sought for.
+    @return
+        Returns a pointer to the QuestHint with the input id.
+        Returns NULL if there is no QuestHint with the given hintId.
     @throws
         Throws an exception if the given hintId is invalid.
@@ -185,5 +185,5 @@
         QuestHint* hint;
         std::map<std::string, QuestHint*>::iterator it = hintMap_s.find(hintId);
-        if (it != hintMap_s.end()) //!< If the hint is registered.
+        if (it != hintMap_s.end()) //!< If the QuestHint is registered.
         {
             hint = it->second;
Index: /code/branches/questsystem2/src/orxonox/objects/quest/QuestManager.h
===================================================================
--- /code/branches/questsystem2/src/orxonox/objects/quest/QuestManager.h	(revision 2190)
+++ /code/branches/questsystem2/src/orxonox/objects/quest/QuestManager.h	(revision 2191)
@@ -47,6 +47,6 @@
     /**
     @brief
-        Is a static class and manages quests, by registering every quest/hint (through registerX()) and making them globally accessable (through findX()).
-        Quests (and Hints) are registered in the QuestManager with their id, and can be accessed in the same way.
+        Is a static class and manages Quests, by registering every Quest/QuestHint (through registerX()) and making them globally accessable (through findX()).
+        Quests (and QuestHints) are registered in the QuestManager with their id, and can be accessed in the same way.
     @author
         Damian 'Mozork' Frick
@@ -59,13 +59,13 @@
             virtual ~QuestManager();
 
-            static bool registerQuest(Quest* quest); //!< Registers a quest in the QuestManager.
+            static bool registerQuest(Quest* quest); //!< Registers a Quest in the QuestManager.
             static bool registerHint(QuestHint* quest); //!< Registers a QuestHint in the QuestManager.
 
-            static Quest* findQuest(const std::string & questId); //!< Returns the quest with the input id.
+            static Quest* findQuest(const std::string & questId); //!< Returns the Quest with the input id.
             static QuestHint* findHint(const std::string & hintId); //!< Returns the QuestHint with the input id.
 
         private:
-            static std::map<std::string, Quest*> questMap_s; //!< All quests registered by their id's.
-            static std::map<std::string, QuestHint*> hintMap_s; //!< All hints registered by their id's.
+            static std::map<std::string, Quest*> questMap_s; //!< All Quests registered by their id's.
+            static std::map<std::string, QuestHint*> hintMap_s; //!< All QuestHints registered by their id's.
 
     };
